import clsx from 'clsx'
import { Show } from 'solid-js'
import type { Shout } from '~/graphql/schema/core.gen'
import { ArticleCard } from './ArticleCard'
import stylesFeed from './Feed.module.scss'

export const Row1 = (props: {
  article: Shout
  nodate?: boolean
  noAuthorLink?: boolean
  noauthor?: boolean
}) => (
  <Show when={!!props.article}>
    <div class={clsx(stylesFeed.floor, stylesFeed['floor--1'])}>
      <div class="wide-container">
        <div class="row">
          <div class="col-24">
            <ArticleCard
              article={props.article}
              settings={{
                isSingle: true,
                nodate: props.nodate,
                noAuthorLink: props.noAuthorLink,
                noauthor: props.noauthor
              }}
              desktopCoverSize="L"
            />
          </div>
        </div>
      </div>
    </div>
  </Show>
)
